#ifndef LOC_FILE_TALLY_H
#define LOC_FILE_TALLY_H
/****************************************************************************
*
* $RCSfile: FileTally.h $
* $Revision: 2.7 $
* $Date: 2004/08/17 22:30:03 $
* $Author: ssolie $
*
*****************************************************************************
*
* Copyright (c) 2004 Steven Solie.  All Rights Reserved.
*
*****************************************************************************
*
* FileTally component
*
* Each FileTally object contains the tally results for a single source file.
*/

#include "Main.h"

#include <dos/dos.h>


class FileTally {
public:
	FileTally(const char* file_name, uint32 loc);
	FileTally(const char* file_name, uint32 loc_added, uint32 loc_deleted);
	void print(const BPTR fh);
	friend bool operator <(const FileTally& lhs, const FileTally& rhs);
private:
	const char* m_name;
	uint32 m_loc;
	uint32 m_loc_added;
	uint32 m_loc_deleted;
	bool m_diff_mode;	// true for difference mode
};


#endif
